Skip to main content
POST
/
v1
/
doctors
Create a doctor
curl --request POST \
  --url https://dev.flextell.ai/api/v1/doctors \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "email": "jsmith@example.com",
  "password": "<string>",
  "password_confirmation": "<string>",
  "phone": "<string>",
  "title": "Uzm. Dr.",
  "blood_group": "ARh+",
  "language": [
    "<string>"
  ],
  "avatar_url": "<string>",
  "is_active": true,
  "bio": "<string>",
  "treatment_ids": [
    2
  ]
}
'
{
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Body

application/json
name
string
required

Doctor's name.

Maximum string length: 255
email
string<email>
required

Doctor's email address.

Maximum string length: 255
password
string
required

Doctor's password.

Minimum string length: 8
password_confirmation
string
required

Doctor's password confirmation. Must match the password field.

Minimum string length: 8
phone
string | null

Doctor's phone number.

Maximum string length: 20
title
enum<string> | null

Doctor's title.

Available options:
Uzm. Dr.,
Dr.,
Prof. Dr.,
Doç. Dr.,
Arş. Gör.,
Öğr. Gör.
blood_group
enum<string> | null

Doctor's blood group.

Available options:
ARh+,
ARh-,
BRh+,
BRh-,
ABRh+,
ABRh-,
ORh+,
ORh-
Maximum string length: 10
language
string[] | null

Doctor's language preferences.

avatar_url
string | null

Doctor's avatar URL.

Maximum string length: 1000
is_active
boolean | null

Doctor's active status.

bio
string | null
Maximum string length: 1000
treatment_ids
integer[] | null
Required range: x >= 1

Response